# Constant Field Values

## Contents

- uk.ac.*

## uk.ac.*

uk.ac.starlink.util.CgiQuery
Modifier and Type
Constant Field
Value
`public static final String`
`QUERY_CHARS`
`"abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789-_.!~*\'()"`
uk.ac.starlink.util.Compression
Modifier and Type
Constant Field
Value
`public static final int`
`MAGIC_SIZE`
`3`
uk.ac.starlink.util.ContentCoding
Modifier and Type
Constant Field
Value
`public static final String`
`ACCEPT_ENCODING`
`"Accept-Encoding"`
`public static final String`
`CONTENT_ENCODING`
`"Content-Encoding"`
uk.ac.starlink.util.DataBufferedInputStream
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BUFFER_SIZE`
`8192`
uk.ac.starlink.util.DataBufferedOutputStream
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BUFFER_SIZE`
`8192`
uk.ac.starlink.util.DataSource
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_INTRO_LIMIT`
`512`
`public static final String`
`MARK_WORKAROUND_PROPERTY`
`"mark.workaround"`
uk.ac.starlink.util.Loader
Modifier and Type
Constant Field
Value
`public static final String`
`PROPERTIES_FILE`
`".starjava.properties"`
uk.ac.starlink.util.NodeDescendants
Modifier and Type
Constant Field
Value
`public static final int`
`SHOW_ALL`
`-1`
`public static final int`
`SHOW_ATTRIBUTE`
`2`
`public static final int`
`SHOW_CDATA_SECTION`
`8`
`public static final int`
`SHOW_COMMENT`
`128`
`public static final int`
`SHOW_DOCUMENT`
`256`
`public static final int`
`SHOW_DOCUMENT_FRAGMENT`
`1024`
`public static final int`
`SHOW_DOCUMENT_TYPE`
`512`
`public static final int`
`SHOW_ELEMENT`
`1`
`public static final int`
`SHOW_ENTITY`
`32`
`public static final int`
`SHOW_ENTITY_REFERENCE`
`16`
`public static final int`
`SHOW_NOTATION`
`2048`
`public static final int`
`SHOW_PROCESSING_INSTRUCTION`
`64`
`public static final int`
`SHOW_TEXT`
`4`
uk.ac.starlink.util.PhysicalConstants
Modifier and Type
Constant Field
Value
`public static final double`
`ACCEL_GRAV`
`9.80665`
`public static final double`
`AU`
`1.49598E11`
`public static final double`
`BOLTZMANN`
`1.3806505E-23`
`public static final double`
`ELECTRON_MASS`
`9.1093826E-31`
`public static final double`
`ELECTRON_VOLT`
`1.60217653E-19`
`public static final double`
`FINE_STRUCTURE`
`0.007297352568`
`public static final double`
`GRAVITATION`
`6.6742E-11`
`public static final double`
`JANSKY`
`1.0E-26`
`public static final double`
`LUMINOSITY_OF_SUN`
`3.8E26`
`public static final double`
`MASS_OF_EARTH`
`5.972E24`
`public static final double`
`MASS_OF_JUPITER`
`1.899096E27`
`public static final double`
`MASS_OF_SUN`
`1.9891E30`
`public static final double`
`PARSEC`
`3.085677E16`
`public static final double`
`PLANCK`
`6.6260693E-34`
`public static final double`
`PLANCK_BAR`
`1.05457168E-34`
`public static final double`
`PLANCK_EVS`
`4.13566743E-15`
`public static final double`
`PLANCK_EVS_BAR`
`6.58211915E-16`
`public static final double`
`PLANCK_LENGTH`
`1.61624E-35`
`public static final double`
`PLANCK_MASS`
`2.17645E-8`
`public static final double`
`PLANCK_TEMP`
`1.41679E32`
`public static final double`
`PROTON_MASS`
`1.67262171E-27`
`public static final double`
`RADIUS_OF_SUN`
`6.96E8`
`public static final double`
`RYDBERG`
`1.0973731568525E7`
`public static final double`
`SOLAR_CONSTANT`
`1.37`
`public static final double`
`SPEED_OF_LIGHT`
`2.99792458E8`
`public static final double`
`STEFAN_BOLTZMANN`
`5.6704E-8`
`public static final double`
`WAVE_HALPHA`
`6562.8`
`public static final double`
`WIEN_DISPLACEMENT`
`0.0028977685`
uk.ac.starlink.util.PropertyAuthenticator
Modifier and Type
Constant Field
Value
`public static final String`
`PASSWORD_PROP`
`"star.basicauth.password"`
`public static final String`
`USER_PROP`
`"star.basicauth.user"`
uk.ac.starlink.util.SplitPolicy
Modifier and Type
Constant Field
Value
`public static final short`
`DFLT_MAX_TASKS_PER_CORE`
`8`
`public static final int`
`DFLT_MIN_TASK_SIZE`
`100000`
uk.ac.starlink.util.TestCase
Modifier and Type
Constant Field
Value
`public static final short`
`IGNORE_ATTRIBUTE_PRESENCE`
`1`
`public static final short`
`IGNORE_ATTRIBUTE_VALUE`
`2`
`public static final short`
`IGNORE_COMMENTS`
`8`
`public static final short`
`IGNORE_WHITESPACE`
`4`

uk.ac.starlink.util.bzip2.BZip2Constants
Modifier and Type
Constant Field
Value
`public static final int`
`baseBlockSize`
`100000`
`public static final int`
`G_SIZE`
`50`
`public static final int`
`MAX_ALPHA_SIZE`
`258`
`public static final int`
`MAX_CODE_LEN`
`23`
`public static final int`
`MAX_SELECTORS`
`18002`
`public static final int`
`N_GROUPS`
`6`
`public static final int`
`N_ITERS`
`4`
`public static final int`
`NUM_OVERSHOOT_BYTES`
`20`
`public static final int`
`RUNA`
`0`
`public static final int`
`RUNB`
`1`
uk.ac.starlink.util.bzip2.CBZip2OutputStream
Modifier and Type
Constant Field
Value
`protected static final int`
`CLEARMASK`
`-2097153`
`protected static final int`
`DEPTH_THRESH`
`10`
`protected static final int`
`GREATER_ICOST`
`15`
`protected static final int`
`LESSER_ICOST`
`0`
`public static final int`
`MAX_BLOCKSIZE`
`9`
`public static final int`
`MIN_BLOCKSIZE`
`1`
`protected static final int`
`QSORT_STACK_SIZE`
`1000`
`protected static final int`
`SETMASK`
`2097152`
`protected static final int`
`SMALL_THRESH`
`20`
`protected static final int`
`WORK_FACTOR`
`30`

uk.ac.starlink.util.gui.FileNameListCellRenderer
Modifier and Type
Constant Field
Value
`protected static final String`
`ELLIPSIS`
`"..."`
uk.ac.starlink.util.gui.GridBagLayouter
Modifier and Type
Constant Field
Value
`public static final int`
`SCHEME1`
`1`
`public static final int`
`SCHEME2`
`2`
`public static final int`
`SCHEME3`
`3`
`public static final int`
`SCHEME4`
`4`
`public static final int`
`SCHEME5`
`5`
uk.ac.starlink.util.gui.SelectCharactersModel
Modifier and Type
Constant Field
Value
`protected final int`
`numColumns`
`16`